
#ifndef TRIANGULATION_H_INCLUDED
#define TRIANGULATION_H_INCLUDED

#define COST_FUNC_DISTANCE	0
#define COST_FUNC_YMS		1
#define COST_FUNC_ABN		2
#define COST_FUNC_RAND		3
#define COST_FUNC_TEST		4
#define COST_FUNC_DUDE		5

typedef struct triangulation_s triangulation_t;

triangulation_t *initialize_image( double *data, double *pixeldata,
                                   int width, int height );
int get_triangulation_width( triangulation_t *image );
int get_triangulation_height( triangulation_t *image );
void run_alg( triangulation_t *image, int costfunc, int numpasses );
void print_edges( triangulation_t *image );
double interpolate_value( triangulation_t *image,
                          double x, double y,
                          double *r, double *g, double *b );
void save_triangulation( triangulation_t *image, const char *filename );
void load_triangulation( triangulation_t *image, const char *filename );
double get_cost( triangulation_t *image, int costfunc );
void initialize_triangulation( triangulation_t *image );

#endif /* TRIANGULATION_H_INCLUDED */
